class NYTFiction::CLI

  def call
    puts "----------------------------"
    puts "This week's New York Times'"
    puts "Print & E-Book Fiction Best Sellers: \n\n"
    NYTFiction::Scraper.scrape_books
    get_books
    list_books
    menu
  end

  def get_books
    @books = NYTFiction::Book.all
  end

  def list_books
    @books.each.with_index(1) do |b, i|
      puts "#{i}. #{b.title} #{b.author}"
    end
    puts "----------------------------"
  end

  def menu
    puts "\nEnter the number of the book (1-15)"
    print "that you'd like to learn more about: "
    input = nil
    while input != "exit"
      input = gets.chomp
      if input.to_i.between?(1, 15)
        b = @books[input.to_i - 1]
        puts "\nRank: #{input} (#{b.freshness})"
        puts "#{b.title} #{b.author} (#{b.publisher})"
        puts "#{b.description}"
        print "\nPlease enter another book number, list to see list again, or exit: "
      elsif input == "list"
        list_books
        menu
      elsif input == "exit"
        puts "Thanks! Check back next week."
        exit
      else
        print "Please enter a number 1-15, list, or exit: "
      end
    end
  end

end
